# UI Alchemy

A modern UI component generator CLI with support for multiple UI frameworks.

## Installation

```bash
# Install globally
npm install -g @your-username/ui-alchemy

# Or use npx
npx @your-username/ui-alchemy my-app
```

## Usage

```bash
create-ui-alchemy my-app [preset] [language] [framework]
```

Where:
- `my-app` is your project name
- `[preset]` is one of: chakraflow, shadeflow, daisyworld, antverse, bootflow, primeland
- `[language]` is one of: javascript, typescript
- `[framework]` is one of: react, next

If you don't provide the optional arguments, you'll be prompted to select them.

## Features

- Multiple UI framework support
- TypeScript and JavaScript support
- React and Next.js support
- Quick setup with minimal configuration

## Publishing

Before publishing, make sure to:

1. Login to npm: `npm login`
2. Replace `@your-username` with your actual npm username
3. Run: `npm publish --access public`

## License

MIT
