import { Box, Container, Heading, Text, Button, Flex, Stack, useColorModeValue } from '@chakra-ui/react';

function App() {
  return (
    <Box bg={useColorModeValue('gray.50', 'gray.800')}>
      <Container maxW="container.xl" py={12}>
        <Flex direction="column" align="center" textAlign="center" mb={10}>
          <Heading
            as="h1"
            size="2xl"
            fontWeight="bold"
            mb={4}
            color={useColorModeValue('gray.800', 'white')}
          >
            Welcome to your ChakraFlow App
          </Heading>
          <Text fontSize="xl" maxW="2xl" mb={6} color={useColorModeValue('gray.600', 'gray.300')}>
            Start building beautiful interfaces with Chakra UI components
          </Text>
          <Stack direction={{ base: 'column', md: 'row' }} spacing={4}>
            <Button
              rounded="full"
              bg={useColorModeValue('purple.500', 'purple.400')}
              color="white"
              _hover={{
                bg: useColorModeValue('purple.600', 'purple.500'),
              }}
              size="lg"
              px={6}
            >
              Get Started
            </Button>
            <Button
              rounded="full"
              size="lg"
              px={6}
              variant="outline"
              colorScheme="purple"
            >
              Documentation
            </Button>
          </Stack>
        </Flex>
      </Container>
    </Box>
  );
}

export default App;
